Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1150734 - Review Request: sugar-backgrounds - Sugar Desktop Backgrounds
Summary: Review Request: sugar-backgrounds - Sugar Desktop Backgrounds
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-10-08 20:17 UTC by German Ruiz
Modified: 2015-07-21 12:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-20 23:20:36 UTC


Attachments (Terms of Use)

Description German Ruiz 2014-10-08 20:17:06 UTC
Package Review 

http://wiki.sugarlabs.org/go/Background_Contest/Results

In April/May 2014, Sugar Labs held its first annual contest to create background images to be included in the next release of Sugar. It was a opportunity to stimulate kids to be artists, to explore and share, and to be part of a project used by million of kids in the world.

SPEC: http://people.sugarlabs.org/~german/dev/sugar-backgrounds.spec
SRPM: http://people.sugarlabs.org/~german/dev/sugar-backgrounds-0.102.0-1.src.rpm

[german@tecra rpmbuild]$ rpmlint -i SPECS/sugar-backgrounds.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[german@tecra rpmbuild]$ rpmlint -i SRPMS/sugar-backgrounds-0.102.0-1.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[german@tecra rpmbuild]$ rpmlint -i RPMS/noarch/sugar-backgrounds-0.102.0-1.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Piotr Popieluch 2014-10-20 09:14:40 UTC
Hi thanx for the nice backgrounds, 

unofficial review here, I need a sponsor.


Fails:

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/gnome-background-
     properties(gnome-backgrounds)
delete following line:
    %dir %{_datadir}/gnome-background-properties

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
Delete the rm -rf $BUILDROOT in %install

The package depends on gnome-background-properties because it installs files in %{_datadir}/gnome-background-properties. You might want to split up the package in two (or more packages) so that the images are separated from the desktop specific configuration, see heisenbug-backgrounds.spec for example.


Should:

[!]: Dist tag is present (not strictly required in GL).
change:
Release:        1
to:
Release:        1%{?dist}

Note: %defattr present but not needed
can be deleted

[!]: Buildroot is not present
     Note: Buildroot: present but not needed
You can delete the following line:
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[-]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/gnome-background-
     properties(gnome-backgrounds)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Dist tag is present (not strictly required in GL).
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Comment 2 Piotr Popieluch 2014-12-31 13:31:18 UTC
No response for over two months. Do you still want to continue with this review?

Comment 3 Piotr Popieluch 2015-03-08 12:08:32 UTC
No response since last comment for three months, I'm closing this request when no response is received within a week.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 4 Piotr Popieluch 2015-03-20 23:20:36 UTC
closing this


Note You need to log in before you can comment on or make changes to this bug.